# Class EncodeToken.DupOrDiffToken

java.lang.Object
htsjdk.samtools.cram.compression.nametokenisation.tokens.EncodeToken
htsjdk.samtools.cram.compression.nametokenisation.tokens.EncodeToken.DupOrDiffToken

Enclosing class:
  `EncodeToken`

public static class EncodeToken.DupOrDiffToken extends EncodeToken

## Nested Class Summary

### Nested classes/interfaces inherited from class EncodeToken

`EncodeToken.DupOrDiffToken, EncodeToken.EndToken`

## Constructor Summary

Constructors
Constructor
Description
`DupOrDiffToken(byte tokenType, String relativeValue)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getActualValue()`

### Methods inherited from class EncodeToken

`getRelativeValue, getRelativeValueAsInt, getTokenType, hashCode`

### Methods inherited from class Object

`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DupOrDiffToken

public DupOrDiffToken(byte tokenType, String relativeValue)

## Method Details

### getActualValue

public String getActualValue()

Overrides:
  `getActualValue` in class `EncodeToken`